Bug 34750 - Impossible to click the crossreference (field of it is too small)
Summary: Impossible to click the crossreference (field of it is too small)
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Fields-Cross-Reference Writer-UX
  Show dependency treegraph
 
Reported: 2011-02-26 02:05 UTC by sasha.libreoffice
Modified: 2018-01-02 10:18 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
explains problem with inserting crossreference in Writer (45.94 KB, application/vnd.oasis.opendocument.text)
2011-02-26 02:05 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-02-26 02:05:22 UTC
Created attachment 43848 [details]
explains problem with inserting crossreference in Writer

While I work with large document, it is sometimes useful to insert crossreference that readers my quick jump to other place of document by click on some string.
Attachment explains problem.
Comment 1 Björn Michaelsen 2011-12-23 11:48:50 UTC Comment hidden (obsolete)
Comment 2 sasha.libreoffice 2012-01-01 23:07:22 UTC
reproduced on LibO 3.5.0 beta 1
Comment 3 Owen Genat (retired) 2013-05-24 01:11:20 UTC
I don't think this is a bug. I explain here (for a different context, but still dealing with the same ODF XML detail) how these elements work:

http://ask.libreoffice.org/en/question/11182/how-can-i-make-a-cross-reference-to-a-text-box/?answer=17814#post-id-17814

There are two types of bookmarks/references: point and range. What is demonstrated in this bug is a point bookmark/reference (anchor). It does not include any text, so the Value field when setting a cross-reference (citation) to it will correspondingly not display any text. On the other hand a range reference (anchor) uses start and end marks to surround text, specifically allowing the Value field to be populated when creating a cross-reference (citation) to the anchor in question.

Unless the OP can expand further on why a point bookmark/reference (anchor) should include greater detail, and how this would be incorporated into the ODF specification, I recommend this be RESOLVED as NOTABUG.
Comment 4 sasha.libreoffice 2013-05-24 07:05:13 UTC
Thanks for explanations. As I can understand, problem in this bugreport is different. Cross-reference saved correctly, but is not clicable. We should place something into Cross-reference field to make it larger. As variants may be some word such as "link" or icon such as -->.
Changing title accordingly.
Comment 5 Owen Genat (retired) 2013-06-01 09:20:16 UTC
With respect to the clickable issue, I guess it comes down to how a field that has no content (point) is expected to behave. I must confess that I am not sure about this. It may be worthwhile consulting OASIS about the ODF specification and how they see this particular matter being interpreted / implemented. In any case, I have made my point, so will leave it with you.
Comment 6 Dieter Praas 2017-05-25 16:41:57 UTC
I don't think it is a bug, but the cross-reference dialog is not so intuitive understandable. I hope the following steps can solve your problem (if it is still actual):
1. Open the document from the original bug report (attachment 43848 [details]).
2. Mark "Chapter 1"
3. Ope the cross-reference dialog
4. Select "Set reference" and type an name for the reference (for example "heading") => insert
5. Move the cursor to the end of the document
6. open the cross-reference dialog
7. Select "insert reference" => select "heading" and select insert reference to reference => press insert
8. "Chapter 1" is inserted.
I hope, this is the result you' expected.

So what has happened? The name of the reference is only the name. The reference is the part of your document you selected before (a character, a word, a sentence, ...). This part of your document can be displayed, when you insert a document.

Does this solve your problem? => Set to NEEDINFO. If it solve the problem,you can close the bug as WORKSFORME. If it doesn't solve the problem please change it back to NEW.
Comment 7 QA Administrators 2017-12-04 12:45:24 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2018-01-02 10:18:08 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180102